### File

`packages/eui/packages/components-next/src/lib/components/eui-block-content/eui-block-content.component.ts`

### Extends

`BaseDirective`

### Implements

`OnChanges`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `eui-block-content`
styleUrls | `./styles/_index.scss`
templateUrl | `./eui-block-content.component.html`

### Index

###### Properties
_isBlocked
###### Methods
deactivateElement reactivateElement
###### Inputs
isBlocked
###### HostBindings
class
###### Accessors
isBlocked

### Constructor

`constructor(elRef: ElementRef, renderer: Renderer2)`
Parameters :
Name | Type | Optional
elRef | `ElementRef` | No
renderer | `Renderer2` | No

### Inputs

isBlocked

### HostBindings

class

### Methods

deactivateElement
`deactivateElement(activeElement: HTMLElement)`
blur (un-focus) the focused element inside BlockContent Parameters :
Name | Type | Optional
activeElement | `HTMLElement` | No
Returns : `void`

reactivateElement
`reactivateElement(element: HTMLElement)`
focus on element if it was focused before content was blocked Parameters :
Name | Type | Optional
element | `HTMLElement` | No
Returns : `void`

### Properties

_isBlocked
Default value : `false`

### Accessors

isBlocked
set `isBlocked(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

# result-matching ""

# No results matching ""